1. Companies
Leadcast Public Api
  • Getting Started
  • Changelog
  • Companies
    • Query all companies
      GET
    • Retrieve a single company
      GET
    • Retrieve job offers for a company
      GET
  • Employees
    • Query all employees
      GET
    • Retrieve a single employee
      GET
    • Retrieve bookings for an employee
      GET
    • Retrieve funnels for an employee
      GET
  • Job Offers
    • Query all job offers
      GET
    • Create
      POST
    • Retrieve a single job offer
      GET
    • Retrieve bookings for a job offer
      GET
    • Retrieve funnels for a job offer
      GET
  • Job Offer Submissions
    • Query all job offer submissions
      GET
    • Retrieve a single job offer submission
      GET
    • Retrieve bookings for a job offer submission
      GET
  • Mapping
    • Maps resources to an external id
      PUT
  • Resource Bookings
    • Query all resource bookings
      GET
    • Retrieve a single resource booking
      GET
  • Schemas
    • Candidate
    • JobOffer
    • CompanyReference
    • ProblemDetails
    • Employee
    • CompanyReference2
    • CompanyReference3
    • Gender
    • EmployeeReference
    • CompanyReference4
    • JobOfferReference
    • JobOfferSubmission
    • CompanyReference5
    • KeysetPagedResultOfEmployee
    • KeysetPagedResultOfJobOffer
    • File
    • JobOfferReference2
    • KeysetPagedResultOfJobOfferSubmission
    • EmployeeReference2
    • JobOfferSubmissionReference
    • MapResourceRequest
    • JobOfferSubmissionStatusDate
    • User
    • JobOfferCandidateFeedback
    • JobOfferCandidateFeedbackOption
    • KeysetPagedResultOfResourceBooking
    • KeysetPagedResultOfCompany
    • ResourceBooking
    • ResourceRequirement
    • JobOfferReference3
    • KeysetPagedResultOfJobOfferFunnel
    • SyncEntry
    • UserReference
    • UserReference2
    • Company
    • Member
  1. Companies

Retrieve a single company

GET
{{baseUrl}}/api/public/companies/{id}
Retrieve a single company using the unique identifier.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://demo.leadcast.nl/api/public/companies/?culture' \
--header 'Accept-Language;' \
--header 'x-api-key: <api-key>'

Responses

🟢200
application/json
OK
Body

Example
{
    "createdOn": "2019-08-24T14:15:22.123Z",
    "modifiedOn": "2019-08-24T14:15:22.123Z",
    "type": "string",
    "status": "string",
    "name": "string",
    "address": "string",
    "postalCode": "string",
    "city": "string",
    "numberOfEmployees": "string",
    "description": "string",
    "instructions": "string",
    "programsAndProjects": "string",
    "facilities": "string",
    "agreements": "string",
    "objectives": "string",
    "additionalInformation": "string",
    "url": "string",
    "iconImageUrl": "string",
    "headerImageUrl": "string",
    "isSuggested": true,
    "isAccount": true,
    "parentCompany": {
        "name": "string",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "external": {
            "property1": "string",
            "property2": "string"
        },
        "customFields": {}
    },
    "childCompanies": [
        {
            "name": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external": {
                "property1": "string",
                "property2": "string"
            },
            "customFields": {}
        }
    ],
    "labels": [
        "string"
    ],
    "members": [
        {
            "type": "string",
            "fullName": "string",
            "email": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external": {
                "property1": "string",
                "property2": "string"
            },
            "customFields": {}
        }
    ],
    "files": [
        {
            "type": "string",
            "contentType": "string",
            "contentLength": 0,
            "subType": "string",
            "fileId": "a1c6a2ab-4b01-4253-b4c9-70e04b3b48fc",
            "fileName": "string",
            "fileUrl": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external": {
                "property1": "string",
                "property2": "string"
            },
            "customFields": {}
        }
    ],
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "external": {
        "property1": "string",
        "property2": "string"
    },
    "customFields": {}
}
🟠400
🟠404
🔴500
Modified at 2026-03-11 23:20:04
Previous
Query all companies
Next
Retrieve job offers for a company
Built with